<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../org/david/vue/drawingzone/DrawingZone.html#setArrayOfPrimitives(java.util.ArrayList)">setArrayOfPrimitives(ArrayList&lt;Primitive&gt;)</a></span> - Method in class org.david.vue.drawingzone.<a href="../org/david/vue/drawingzone/DrawingZone.html" title="class in org.david.vue.drawingzone">DrawingZone</a></dt>
<dd>
<div class="block">set the array of Primitive from drawing zone.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Ellipse.html#setBigAxis(int)">setBigAxis(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></dt>
<dd>
<div class="block">set the big axis of the ellipse.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/textlinenumber/TextLineNumber.html#setBorderGap(int)">setBorderGap(int)</a></span> - Method in class lib.textlinenumber.<a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></dt>
<dd>
<div class="block">The border gap is used in calculating the left and right insets of the
  border.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Rectangle.html#setBound(int,int)">setBound(int, int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Rectangle.html" title="class in org.david.geo.shapes">Rectangle</a></dt>
<dd>
<div class="block">set the bound of the bounded rectangle.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Ellipse.html#setBoundingBox(int,int)">setBoundingBox(int, int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></dt>
<dd>
<div class="block">set the bounding box of the Ellipse.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Rectangle.html#setBoundingBox(int,int)">setBoundingBox(int, int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Rectangle.html" title="class in org.david.geo.shapes">Rectangle</a></dt>
<dd>
<div class="block">set the bounding box of the rectangle.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Shape.html#setBoundingBox(int,int)">setBoundingBox(int, int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Shape.html" title="class in org.david.geo.shapes">Shape</a></dt>
<dd>
<div class="block">set the bounding box of the shape.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/textlinenumber/TextLineNumber.html#setCurrentLineForeground(java.awt.Color)">setCurrentLineForeground(Color)</a></span> - Method in class lib.textlinenumber.<a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></dt>
<dd>
<div class="block">The CustomColor used to render the current line digits.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/textlinenumber/TextLineNumber.html#setDigitAlignment(float)">setDigitAlignment(float)</a></span> - Method in class lib.textlinenumber.<a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></dt>
<dd>
<div class="block">Specify the horizontal alignment of the digits within the component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/Style.html#setFill(org.david.geo.style.CustomColor)">setFill(CustomColor)</a></span> - Method in class org.david.geo.style.<a href="../org/david/geo/style/Style.html" title="class in org.david.geo.style">Style</a></dt>
<dd>
<div class="block">set the fill CustomColor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/text/Text.html#setFont(java.awt.Font)">setFont(Font)</a></span> - Method in class org.david.geo.text.<a href="../org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a></dt>
<dd>
<div class="block">set the font of the text.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Rectangle.html#setHeight(int)">setHeight(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Rectangle.html" title="class in org.david.geo.shapes">Rectangle</a></dt>
<dd>
<div class="block">set the height.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/textlinenumber/TextLineNumber.html#setMinimumDisplayDigits(int)">setMinimumDisplayDigits(int)</a></span> - Method in class lib.textlinenumber.<a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></dt>
<dd>
<div class="block">Specify the mimimum number of digits used to calculate the preferred
  width of the component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/CustomColor.html#setNone(boolean)">setNone(boolean)</a></span> - Method in class org.david.geo.style.<a href="../org/david/geo/style/CustomColor.html" title="class in org.david.geo.style">CustomColor</a></dt>
<dd>
<div class="block">set the new value of isNone.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/image/Image.html#setOrigin(org.david.geo.shapes.Point)">setOrigin(Point)</a></span> - Method in class org.david.geo.image.<a href="../org/david/geo/image/Image.html" title="class in org.david.geo.image">Image</a></dt>
<dd>
<div class="block">set the new origin point.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Shape.html#setOrigin(org.david.geo.shapes.Point)">setOrigin(Point)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Shape.html" title="class in org.david.geo.shapes">Shape</a></dt>
<dd>
<div class="block">set new origin point.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/line/Line.html#setP1(org.david.geo.shapes.Point)">setP1(Point)</a></span> - Method in class org.david.geo.line.<a href="../org/david/geo/line/Line.html" title="class in org.david.geo.line">Line</a></dt>
<dd>
<div class="block">set the first point.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/line/Line.html#setP2(org.david.geo.shapes.Point)">setP2(Point)</a></span> - Method in class org.david.geo.line.<a href="../org/david/geo/line/Line.html" title="class in org.david.geo.line">Line</a></dt>
<dd>
<div class="block">set the second point.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/image/Image.html#setPath(java.lang.String)">setPath(String)</a></span> - Method in class org.david.geo.image.<a href="../org/david/geo/image/Image.html" title="class in org.david.geo.image">Image</a></dt>
<dd>
<div class="block">set the new path of the file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Circle.html#setRadius(int)">setRadius(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Circle.html" title="class in org.david.geo.shapes">Circle</a></dt>
<dd>
<div class="block">set the axis of the circle, so the radius.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Ellipse.html#setRealCoordinates()">setRealCoordinates()</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></dt>
<dd>
<div class="block">set real coordinate for an origin point given.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Square.html#setSide(int)">setSide(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Square.html" title="class in org.david.geo.shapes">Square</a></dt>
<dd>
<div class="block">set the side of the square.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Ellipse.html#setSmallAxis(int)">setSmallAxis(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></dt>
<dd>
<div class="block">set the samll axis of the ellipse.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/Style.html#setStroke(org.david.geo.style.CustomColor)">setStroke(CustomColor)</a></span> - Method in class org.david.geo.style.<a href="../org/david/geo/style/Style.html" title="class in org.david.geo.style">Style</a></dt>
<dd>
<div class="block">get the stroke CustomColor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/Style.html#setStrokeWidth(float)">setStrokeWidth(float)</a></span> - Method in class org.david.geo.style.<a href="../org/david/geo/style/Style.html" title="class in org.david.geo.style">Style</a></dt>
<dd>
<div class="block">set the stroke width.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/primitive/Primitive.html#setStyle(org.david.geo.style.Style)">setStyle(Style)</a></span> - Method in class org.david.geo.primitive.<a href="../org/david/geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></dt>
<dd>
<div class="block">set a new primitive style.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/transform/Transform.html#setTheta(double)">setTheta(double)</a></span> - Method in class org.david.geo.transform.<a href="../org/david/geo/transform/Transform.html" title="class in org.david.geo.transform">Transform</a></dt>
<dd>
<div class="block">set the angle of rotation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/primitive/Primitive.html#setTransform(org.david.geo.transform.Transform)">setTransform(Transform)</a></span> - Method in class org.david.geo.primitive.<a href="../org/david/geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></dt>
<dd>
<div class="block">set the transformation properties.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/transform/Transform.html#setTranslate(org.david.geo.shapes.Point)">setTranslate(Point)</a></span> - Method in class org.david.geo.transform.<a href="../org/david/geo/transform/Transform.html" title="class in org.david.geo.transform">Transform</a></dt>
<dd>
<div class="block">set the translation coordinate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/model/isvgparser/ISvgParserTest.html#setup()">setup()</a></span> - Method in class org.david.model.isvgparser.<a href="../org/david/model/isvgparser/ISvgParserTest.html" title="class in org.david.model.isvgparser">ISvgParserTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/textlinenumber/TextLineNumber.html#setUpdateFont(boolean)">setUpdateFont(boolean)</a></span> - Method in class lib.textlinenumber.<a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></dt>
<dd>
<div class="block">Set the update font property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/model/isvgparser/ISvgErrorHandler.html#setValid(boolean)">setValid(boolean)</a></span> - Method in class org.david.model.isvgparser.<a href="../org/david/model/isvgparser/ISvgErrorHandler.html" title="class in org.david.model.isvgparser">ISvgErrorHandler</a></dt>
<dd>
<div class="block">set the isValid attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/text/Text.html#setValue(java.lang.String)">setValue(String)</a></span> - Method in class org.david.geo.text.<a href="../org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a></dt>
<dd>
<div class="block">set the value of the text.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Rectangle.html#setWidth(int)">setWidth(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Rectangle.html" title="class in org.david.geo.shapes">Rectangle</a></dt>
<dd>
<div class="block">set the width.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Point.html#setX(int)">setX(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Point.html" title="class in org.david.geo.shapes">Point</a></dt>
<dd>
<div class="block">set the x coordinate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Point.html#setY(int)">setY(int)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Point.html" title="class in org.david.geo.shapes">Point</a></dt>
<dd>
<div class="block">set the y coordinate.</div>
</dd>
<dt><a href="../org/david/geo/shapes/Shape.html" title="class in org.david.geo.shapes"><span class="typeNameLink">Shape</span></a> - Class in <a href="../org/david/geo/shapes/package-summary.html">org.david.geo.shapes</a></dt>
<dd>
<div class="block">This abstract class define all attributes to define a <code>Shape</code>
 and extends from <code>Primitive</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Shape.html#%3Cinit%3E()">Shape()</a></span> - Constructor for class org.david.geo.shapes.<a href="../org/david/geo/shapes/Shape.html" title="class in org.david.geo.shapes">Shape</a></dt>
<dd>
<div class="block">default constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Shape.html#%3Cinit%3E(org.david.geo.style.Style,org.david.geo.shapes.Point)">Shape(Style, Point)</a></span> - Constructor for class org.david.geo.shapes.<a href="../org/david/geo/shapes/Shape.html" title="class in org.david.geo.shapes">Shape</a></dt>
<dd>
<div class="block">create a shape from an origin point.</div>
</dd>
<dt><a href="../org/david/geo/shapes/Square.html" title="class in org.david.geo.shapes"><span class="typeNameLink">Square</span></a> - Class in <a href="../org/david/geo/shapes/package-summary.html">org.david.geo.shapes</a></dt>
<dd>
<div class="block">This class define a <code>Square</code> based on a <code>Rectangle</code>
 that extends from <code>Shape</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Square.html#%3Cinit%3E()">Square()</a></span> - Constructor for class org.david.geo.shapes.<a href="../org/david/geo/shapes/Square.html" title="class in org.david.geo.shapes">Square</a></dt>
<dd>
<div class="block">default constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Square.html#%3Cinit%3E(org.david.geo.style.Style,org.david.geo.shapes.Point,int)">Square(Style, Point, int)</a></span> - Constructor for class org.david.geo.shapes.<a href="../org/david/geo/shapes/Square.html" title="class in org.david.geo.shapes">Square</a></dt>
<dd>
<div class="block">create a square with full parameters.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/model/isvgparser/ISvgParser.html#startDocument()">startDocument()</a></span> - Method in class org.david.model.isvgparser.<a href="../org/david/model/isvgparser/ISvgParser.html" title="class in org.david.model.isvgparser">ISvgParser</a></dt>
<dd>
<div class="block">start of the document.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/model/isvgparser/ISvgParser.html#startElement(java.lang.String,java.lang.String,java.lang.String,org.xml.sax.Attributes)">startElement(String, String, String, Attributes)</a></span> - Method in class org.david.model.isvgparser.<a href="../org/david/model/isvgparser/ISvgParser.html" title="class in org.david.model.isvgparser">ISvgParser</a></dt>
<dd>
<div class="block">read an element from start.</div>
</dd>
<dt><a href="../org/david/geo/style/Style.html" title="class in org.david.geo.style"><span class="typeNameLink">Style</span></a> - Class in <a href="../org/david/geo/style/package-summary.html">org.david.geo.style</a></dt>
<dd>
<div class="block">This class store parameters to indicate the stroke color, the stroke width
 and the fill color of a <code>Primitive</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/Style.html#%3Cinit%3E()">Style()</a></span> - Constructor for class org.david.geo.style.<a href="../org/david/geo/style/Style.html" title="class in org.david.geo.style">Style</a></dt>
<dd>
<div class="block">default constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/Style.html#%3Cinit%3E(org.david.geo.style.CustomColor,org.david.geo.style.CustomColor,float)">Style(CustomColor, CustomColor, float)</a></span> - Constructor for class org.david.geo.style.<a href="../org/david/geo/style/Style.html" title="class in org.david.geo.style">Style</a></dt>
<dd>
<div class="block">create a new Style.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
